Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Get a PV plan with its full planner document

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/pv-plans/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

Workspace API key (bh_…).

Pfadparameter
idstringerforderlich
min. Länge 1
Antworten
200

OK

idstringerforderlich
projectIdstringerforderlich
namestringerforderlich
buildingIdstring | nullerforderlich
Eigenschaften anzeigen
Mindestens eines von:
string
string
null
null
originLatnumbererforderlich
originLngnumbererforderlich
originAddressstring | nullerforderlich
Eigenschaften anzeigen
Mindestens eines von:
string
string
null
null
isFavoritebooleanerforderlich
summaryobject | nullerforderlich
Eigenschaften anzeigen
Mindestens eines von:
object
object
null
null
createdAtstring<date-time>erforderlich
updatedAtstring<date-time>erforderlich
schemaVersionintegererforderlich
min. -9007199254740991 · max. 9007199254740991
payloadobjecterforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://app.bauhow.com/api/v1/pv-plans/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "buildingId": "string",
  "originLat": 0,
  "originLng": 0,
  "originAddress": "string",
  "isFavorite": true,
  "summary": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}

War diese Seite hilfreich?